Subject: [os2genau_digest] No. 1673
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 17 Jul 2008 00:01:07 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 16 July 2008
 Number  1673
**************************************************

Subjects for today
 
1   How not to design an OS : Peter Moylan <peter at pmoylan dot org>
2  Re:  How not to design an OS : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  How not to design an OS : Alan Duval <amoht at westnet dot com dot au>
4   Open Office : Alan Duval <amoht at westnet dot com dot au>
5   Inkscape : Alan Duval <amoht at westnet dot com dot au>
6  Re:  Inkscape : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  Open Office : Ed Durrant <edurrant at durrant dot mine dot nu>
8  Re:  Inkscape : Alan Duval <amoht at westnet dot com dot au>
9  Re:  Open Office : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 16 Jul 2008 05:31:50 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   How not to design an OS

[Sorry about any weird formatting errors. I've been checking out the 
"compose using HTML" option of Thunderbird. I'm discovering that its 
handling of the "plain text" option is even worse than if I compose 
using plain text. The "rewrap" option still insists on using the 
"format=flawed" format. Perhaps it's time to go back to PMMail.]

In the process of sending a one-page file to a Windoze user who doesn't 
know how to handle a JPEG file, I've managed to generate a 12MB TIFF. I 
have now discovered that
- attempting to open that file ties up the entire operating system. 
There is no solution other than   Ctrl/Alt/Del;
- PMView can open the file, but takes forever to print it. The "abort 
print" operation likewise       locks up the WPS, in such a way that 
nothing else can be done except Ctrl/Alt/Del.

My conclusions are:
- multimedia operations should never be put inside the kernel of an 
operating system. OK, that was obvious. Even blind Freddie could see that.
- whoever designed MMOS2 should be first against the wall when the 
revolution comes.

What I'm wondering now is whether Serenity would be able to talk IBM 
into getting OS/2 with a special upgrade, namely the deletion of MMOS2.

I still haven't figured out how to reduce the size of the TIFF file, by 
the way.
-- 

Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 16 Jul 2008 11:03:22 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  How not to design an OS

Peter Moylan wrote:
> [Sorry about any weird formatting errors. I've been checking out the 
> "compose using HTML" option of Thunderbird. I'm discovering that its 
> handling of the "plain text" option is even worse than if I compose 
> using plain text. The "rewrap" option still insists on using the 
> "format=flawed" format. Perhaps it's time to go back to PMMail.]
>
> In the process of sending a one-page file to a Windoze user who 
> doesn't know how to handle a JPEG file, I've managed to generate a 
> 12MB TIFF. I have now discovered that
> - attempting to open that file ties up the entire operating system. 
> There is no solution other than   Ctrl/Alt/Del;
> - PMView can open the file, but takes forever to print it. The "abort 
> print" operation likewise       locks up the WPS, in such a way that 
> nothing else can be done except Ctrl/Alt/Del.
>
> My conclusions are:
> - multimedia operations should never be put inside the kernel of an 
> operating system. OK, that was obvious. Even blind Freddie could see 
> that.
> - whoever designed MMOS2 should be first against the wall when the 
> revolution comes.
>
> What I'm wondering now is whether Serenity would be able to talk IBM 
> into getting OS/2 with a special upgrade, namely the deletion of MMOS2.
>
> I still haven't figured out how to reduce the size of the TIFF file, 
> by the way.
One of the areas that Serenity (and the Russian developers) have been 
working over the last few years is to replace MMOS2 within the Base OS. 
How that affects PMView I'm not sure - I would have thought that program 
is not multimedia based ? (i.e. for me multimedia means Video and audio 
- perhaps I'm wrong ?).

Are you running eCS 2.0 RC5 ? or still OS/2 Warp ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 16 Jul 2008 19:41:18 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  How not to design an OS

Peter Moylan wrote:
> [Sorry about any weird formatting errors. I've been checking out the 
> "compose using HTML" option of Thunderbird. I'm discovering that its 
> handling of the "plain text" option is even worse than if I compose 
> using plain text. The "rewrap" option still insists on using the 
> "format=flawed" format. Perhaps it's time to go back to PMMail.]
>
> In the process of sending a one-page file to a Windoze user who 
> doesn't know how to handle a JPEG file, I've managed to generate a 
> 12MB TIFF. I have now discovered that
> - attempting to open that file ties up the entire operating system. 
> There is no solution other than   Ctrl/Alt/Del;
> - PMView can open the file, but takes forever to print it. The "abort 
> print" operation likewise       locks up the WPS, in such a way that 
> nothing else can be done except Ctrl/Alt/Del.
>
> My conclusions are:
> - multimedia operations should never be put inside the kernel of an 
> operating system. OK, that was obvious. Even blind Freddie could see 
> that.
> - whoever designed MMOS2 should be first against the wall when the 
> revolution comes.
>
> What I'm wondering now is whether Serenity would be able to talk IBM 
> into getting OS/2 with a special upgrade, namely the deletion of MMOS2.
>
> I still haven't figured out how to reduce the size of the TIFF file, 
> by the way.
Hi Peter,

Why not compose it with Open Office and convert it to a pdf file which 
you can attach to your Email?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 16 Jul 2008 21:21:03 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Open Office

Hi,

Has anyone had trouble using Open Office Org 2.0.4 with eCS 2.0 RC5?
Recently I copied quite a lot of pages to a new text document in OO but 
when using the vertical scroll bar the pages just kept rolling over at a 
rapid rate even though I was no longer pressing the down button of the 
scroll bar. This has also happened at times with long documents in 
Firefox. Is this a problem in eCS or the applications?

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 16 Jul 2008 21:33:03 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Inkscape

Hi,

Is anyone porting Inkscape to eCS?  We could do with a good vector 
drawing application.

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 16 Jul 2008 21:49:28 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Inkscape

Alan Duval wrote:
> Hi,
>
> Is anyone porting Inkscape to eCS?  We could do with a good vector 
> drawing application.
>
> Regards,
>
> Alan Duval
 
>
> 

>
Is this an open source program ? Is there a Windows version of it and 
will that work via ODIN ?

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 16 Jul 2008 21:51:25 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Open Office

Alan Duval wrote:
> Hi,
>
> Has anyone had trouble using Open Office Org 2.0.4 with eCS 2.0 RC5?
> Recently I copied quite a lot of pages to a new text document in OO 
> but when using the vertical scroll bar the pages just kept rolling 
> over at a rapid rate even though I was no longer pressing the down 
> button of the scroll bar. This has also happened at times with long 
> documents in Firefox. Is this a problem in eCS or the applications?
>
> Regards,
>
> Alan Duval
 
>
> 

>
Did you reinstall OOo 2.04 on eCS 2.0 RC5 or are you accessing the 
application across partitions ?  I remember a similar problem with an 
earlier version of OOo when I did not re-install it.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 16 Jul 2008 22:08:21 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Inkscape

Ed Durrant wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Is anyone porting Inkscape to eCS?  We could do with a good vector 
>> drawing application.
>>
>> Regards,
>>
>> Alan Duval
> 
>>
>> 
>
>>
> Is this an open source program ? Is there a Windows version of it and 
> will that work via ODIN ?
Yes! it's open source. It's a well known Linux program and is very good.

Regards,

Alan
----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Wed, 16 Jul 2008 22:19:41 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Open Office

Ed Durrant wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Has anyone had trouble using Open Office Org 2.0.4 with eCS 2.0 RC5?
>> Recently I copied quite a lot of pages to a new text document in OO 
>> but when using the vertical scroll bar the pages just kept rolling 
>> over at a rapid rate even though I was no longer pressing the down 
>> button of the scroll bar. This has also happened at times with long 
>> documents in Firefox. Is this a problem in eCS or the applications?
>>
>> Regards,
>>
>> Alan Duval
> 
>>
>> 
>
>>
> Did you reinstall OOo 2.04 on eCS 2.0 RC5 or are you accessing the 
> application across partitions ?  I remember a similar problem with an 
> earlier version of OOo when I did not re-install it.
It is on another partition but I think I reinstalled it from the 
original download as I have the folder on the desktop.
I'm wondering whether there's a slight difference with the new 
motherboard. My previous M2V_TVM motherboard failed and I got another. 
Haven't reinstalled OO since putting in the new MB. Also notice that I 
can't boot the eCS 2.0 install disk to the maintenance screen as just 
get flickering vertical lines when it tries to load that screen so there 
must be some difference.

Regards,

Alan
----------------------------------------------------------------------------------